javax.management

## Class AttributeNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.OperationsException
        - - javax.management.AttributeNotFoundException

- All Implemented Interfaces:
    Serializable

      public class AttributeNotFoundException
      extends OperationsException

  The specified attribute does not exist or cannot be retrieved.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeNotFoundException()` Default constructor.
    `AttributeNotFoundException(String message)` Constructor that allows a specific error message to be specified.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeNotFoundException

          public AttributeNotFoundException()

      Default constructor.

    - #### AttributeNotFoundException

          public AttributeNotFoundException(String message)

      Constructor that allows a specific error message to be specified.
      Parameters:
        `message` - detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.